Create task
curl --request POST \
--url https://api.conduit.ai/v1/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
"title": "Replace AC filter in unit 4B",
"status_id": "js7demo8f8x7c9v0n2q4r6t8y1u3i5o",
"priority": "high",
"due_at": "2026-11-05T15:00:00Z",
"assignees": [
{
"type": "member",
"id": "wm1demo8f8x7c9v0n2q4r6t8y1u3i5o"
}
],
"listing_id": "123"
}
'import requests
url = "https://api.conduit.ai/v1/tasks"
payload = {
"workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
"title": "Replace AC filter in unit 4B",
"status_id": "js7demo8f8x7c9v0n2q4r6t8y1u3i5o",
"priority": "high",
"due_at": "2026-11-05T15:00:00Z",
"assignees": [
{
"type": "member",
"id": "wm1demo8f8x7c9v0n2q4r6t8y1u3i5o"
}
],
"listing_id": "123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: 'j57demo8f8x7c9v0n2q4r6t8y1u3i5o',
title: 'Replace AC filter in unit 4B',
status_id: 'js7demo8f8x7c9v0n2q4r6t8y1u3i5o',
priority: 'high',
due_at: '2026-11-05T15:00:00Z',
assignees: [{type: 'member', id: 'wm1demo8f8x7c9v0n2q4r6t8y1u3i5o'}],
listing_id: '123'
})
};
fetch('https://api.conduit.ai/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conduit.ai/v1/tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'workspace_id' => 'j57demo8f8x7c9v0n2q4r6t8y1u3i5o',
'title' => 'Replace AC filter in unit 4B',
'status_id' => 'js7demo8f8x7c9v0n2q4r6t8y1u3i5o',
'priority' => 'high',
'due_at' => '2026-11-05T15:00:00Z',
'assignees' => [
[
'type' => 'member',
'id' => 'wm1demo8f8x7c9v0n2q4r6t8y1u3i5o'
]
],
'listing_id' => '123'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.conduit.ai/v1/tasks"
payload := strings.NewReader("{\n \"workspace_id\": \"j57demo8f8x7c9v0n2q4r6t8y1u3i5o\",\n \"title\": \"Replace AC filter in unit 4B\",\n \"status_id\": \"js7demo8f8x7c9v0n2q4r6t8y1u3i5o\",\n \"priority\": \"high\",\n \"due_at\": \"2026-11-05T15:00:00Z\",\n \"assignees\": [\n {\n \"type\": \"member\",\n \"id\": \"wm1demo8f8x7c9v0n2q4r6t8y1u3i5o\"\n }\n ],\n \"listing_id\": \"123\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.conduit.ai/v1/tasks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workspace_id\": \"j57demo8f8x7c9v0n2q4r6t8y1u3i5o\",\n \"title\": \"Replace AC filter in unit 4B\",\n \"status_id\": \"js7demo8f8x7c9v0n2q4r6t8y1u3i5o\",\n \"priority\": \"high\",\n \"due_at\": \"2026-11-05T15:00:00Z\",\n \"assignees\": [\n {\n \"type\": \"member\",\n \"id\": \"wm1demo8f8x7c9v0n2q4r6t8y1u3i5o\"\n }\n ],\n \"listing_id\": \"123\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conduit.ai/v1/tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workspace_id\": \"j57demo8f8x7c9v0n2q4r6t8y1u3i5o\",\n \"title\": \"Replace AC filter in unit 4B\",\n \"status_id\": \"js7demo8f8x7c9v0n2q4r6t8y1u3i5o\",\n \"priority\": \"high\",\n \"due_at\": \"2026-11-05T15:00:00Z\",\n \"assignees\": [\n {\n \"type\": \"member\",\n \"id\": \"wm1demo8f8x7c9v0n2q4r6t8y1u3i5o\"\n }\n ],\n \"listing_id\": \"123\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "k17demo8f8x7c9v0n2q4r6t8y1u3i5o",
"title": "Replace AC filter in unit 4B",
"status": {
"id": "js7demo8f8x7c9v0n2q4r6t8y1u3i5o",
"name": "In progress",
"category": "in_progress",
"color": "#3B82F6"
},
"category": {
"id": "kd2demo8f8x7c9v0n2q4r6t8y1u3i5o",
"name": "Maintenance"
},
"priority": "high",
"assignees": [
{
"type": "member",
"id": "wm1demo8f8x7c9v0n2q4r6t8y1u3i5o",
"name": "Ana Ruiz"
}
],
"due_at": "2026-11-05T15:00:00.000Z",
"estimated_minutes": 30,
"listing_id": "123",
"created_via": "direct",
"created_at": "2026-11-03T18:00:00.000Z",
"last_updated": "2026-11-04T09:30:00.000Z",
"description": "Guest reported a rattling noise.",
"reservation_id": null,
"contact_id": null,
"completed_at": null,
"checklist": [
{
"id": "req_1",
"label": "Photo of old filter",
"completed": true
}
],
"attachments": [],
"custom_fields": []
}
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Tasks
Create task
Creates a task. Requires a token with write access.
POST
/
v1
/
tasks
Create task
curl --request POST \
--url https://api.conduit.ai/v1/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
"title": "Replace AC filter in unit 4B",
"status_id": "js7demo8f8x7c9v0n2q4r6t8y1u3i5o",
"priority": "high",
"due_at": "2026-11-05T15:00:00Z",
"assignees": [
{
"type": "member",
"id": "wm1demo8f8x7c9v0n2q4r6t8y1u3i5o"
}
],
"listing_id": "123"
}
'import requests
url = "https://api.conduit.ai/v1/tasks"
payload = {
"workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
"title": "Replace AC filter in unit 4B",
"status_id": "js7demo8f8x7c9v0n2q4r6t8y1u3i5o",
"priority": "high",
"due_at": "2026-11-05T15:00:00Z",
"assignees": [
{
"type": "member",
"id": "wm1demo8f8x7c9v0n2q4r6t8y1u3i5o"
}
],
"listing_id": "123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: 'j57demo8f8x7c9v0n2q4r6t8y1u3i5o',
title: 'Replace AC filter in unit 4B',
status_id: 'js7demo8f8x7c9v0n2q4r6t8y1u3i5o',
priority: 'high',
due_at: '2026-11-05T15:00:00Z',
assignees: [{type: 'member', id: 'wm1demo8f8x7c9v0n2q4r6t8y1u3i5o'}],
listing_id: '123'
})
};
fetch('https://api.conduit.ai/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conduit.ai/v1/tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'workspace_id' => 'j57demo8f8x7c9v0n2q4r6t8y1u3i5o',
'title' => 'Replace AC filter in unit 4B',
'status_id' => 'js7demo8f8x7c9v0n2q4r6t8y1u3i5o',
'priority' => 'high',
'due_at' => '2026-11-05T15:00:00Z',
'assignees' => [
[
'type' => 'member',
'id' => 'wm1demo8f8x7c9v0n2q4r6t8y1u3i5o'
]
],
'listing_id' => '123'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.conduit.ai/v1/tasks"
payload := strings.NewReader("{\n \"workspace_id\": \"j57demo8f8x7c9v0n2q4r6t8y1u3i5o\",\n \"title\": \"Replace AC filter in unit 4B\",\n \"status_id\": \"js7demo8f8x7c9v0n2q4r6t8y1u3i5o\",\n \"priority\": \"high\",\n \"due_at\": \"2026-11-05T15:00:00Z\",\n \"assignees\": [\n {\n \"type\": \"member\",\n \"id\": \"wm1demo8f8x7c9v0n2q4r6t8y1u3i5o\"\n }\n ],\n \"listing_id\": \"123\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.conduit.ai/v1/tasks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workspace_id\": \"j57demo8f8x7c9v0n2q4r6t8y1u3i5o\",\n \"title\": \"Replace AC filter in unit 4B\",\n \"status_id\": \"js7demo8f8x7c9v0n2q4r6t8y1u3i5o\",\n \"priority\": \"high\",\n \"due_at\": \"2026-11-05T15:00:00Z\",\n \"assignees\": [\n {\n \"type\": \"member\",\n \"id\": \"wm1demo8f8x7c9v0n2q4r6t8y1u3i5o\"\n }\n ],\n \"listing_id\": \"123\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conduit.ai/v1/tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workspace_id\": \"j57demo8f8x7c9v0n2q4r6t8y1u3i5o\",\n \"title\": \"Replace AC filter in unit 4B\",\n \"status_id\": \"js7demo8f8x7c9v0n2q4r6t8y1u3i5o\",\n \"priority\": \"high\",\n \"due_at\": \"2026-11-05T15:00:00Z\",\n \"assignees\": [\n {\n \"type\": \"member\",\n \"id\": \"wm1demo8f8x7c9v0n2q4r6t8y1u3i5o\"\n }\n ],\n \"listing_id\": \"123\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "k17demo8f8x7c9v0n2q4r6t8y1u3i5o",
"title": "Replace AC filter in unit 4B",
"status": {
"id": "js7demo8f8x7c9v0n2q4r6t8y1u3i5o",
"name": "In progress",
"category": "in_progress",
"color": "#3B82F6"
},
"category": {
"id": "kd2demo8f8x7c9v0n2q4r6t8y1u3i5o",
"name": "Maintenance"
},
"priority": "high",
"assignees": [
{
"type": "member",
"id": "wm1demo8f8x7c9v0n2q4r6t8y1u3i5o",
"name": "Ana Ruiz"
}
],
"due_at": "2026-11-05T15:00:00.000Z",
"estimated_minutes": 30,
"listing_id": "123",
"created_via": "direct",
"created_at": "2026-11-03T18:00:00.000Z",
"last_updated": "2026-11-04T09:30:00.000Z",
"description": "Guest reported a rattling noise.",
"reservation_id": null,
"contact_id": null,
"completed_at": null,
"checklist": [
{
"id": "req_1",
"label": "Photo of old filter",
"completed": true
}
],
"attachments": [],
"custom_fields": []
}
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Authorizations
Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.
Body
application/json
Create a task.
Minimum string length:
1Starting status. Defaults to the workspace's Triage.
Available options:
low, normal, high, urgent ISO 8601 datetime with offset or Z.
Required range:
x >= 0Show child attributes
Show child attributes
Links the task to a booking. Do not combine with listing_id.
Checklist item labels.
Maximum array length:
25Minimum string length:
1Values keyed by custom field id.
Show child attributes
Show child attributes
Response
Task created
A single task.
Show child attributes
Show child attributes
Was this page helpful?